Subject: Re: TOS field removal in OSPF for IPv6

From: "Naidu, Venkata" <[email-masked]>
Date: Mon, 12 Jan 2004 12:21:05 -0500

Menzel,

  There is no relation between IPv4 TOS and IPv6 traffic
  class. RFC 3260 overwrites both of the files for diffserv.

  The correct answer is, OSPFv2 is for IPv4. OSPFv2 once
  supported TOS based routing. OSPFv2 TOS routing is not
  standardized because of lack of implementation/deployment.
  More over, RFC 2676 is an experimental RFC.

  Coming to IPv6. There is no TOS field as such in IPv6
  header. There are {Traffic class, Flow label} in IPv6 header.
  At the time of IPv6 specification Traffic Class is almost same
  as TOS. But, it's real use was never defined precisely.
  That is why OSPFv3 never incorporated Traffic Class routing.

  After that, Diffserv changed semantics of IPv4 TOS and
  IPv6 TC fields couple of times. The recent one is in RFC 3260.

  Coming to MPLS for IPv4. Yes. There is a similar TOS routing
  in MPLS. Look at:
  http://www.ietf.org/internet-drafts/draft-ietf-tewg-te-metric-igp-02.txt
  The difference are very subtle and indirect. But, IPv4 TOS
  routing and MPLS routing with different IGP metrics are one
  and the same.

  My final suggestion is: if you are doing some experimentation
  and/or deployment of a network with out any interoperability
  issues (i.e., for example, if you run whole network with your
  own box) then go ahead with your proprietary extensions to
  OSPF over IPv6 TC routing (just like OSPF over IPv4 TOS routing).
  If successful and possible, spin a named draft. Hope that will
  be considered by IETF (like RFC 2676).

--
Venkata.

-> At 01:48 PM 1/12/2004 +0100, you wrote:
-> >Dear OSPF-Group,
-> >--------------------
-> >I am working in a EU project called "Daidalos"
-> >(http://www.ist-daidalos.org) and I am responsible for
-> >routing stuff in fixed and ad-hoc network based on IPv6.
-> For multipath
-> >routing path decission I wanted to
-> >use OSPF first with DS- field (TOS in IPv4)  tracking and
-> later update
-> >to IPv6 QOSPF (QoS based OSPF)
-> >I just recognized the TOS based routing  has been removed
-> in the OSPF
-> >IPv6 specification .
-> >I wanted to use this feature from OSPF v2 with some
-> enhancements from
-> >RFC2676  -
-> >"QoS Routing Mechanisms and OSPF Extensions"  and port this to IPv6.
-> >The routing protocol
-> >should support path selection based on the service class of the
-> >delivered content.
-> >
-> >RFC2740:
-> >
-> >"Type of Service (TOS) has been removed from
-> >the OSPFv2 specification [Ref1], and is not encoded within OSPF for
-> >IPv6's LSAs."
-> >
-> >Are there any serious reasons why the OPSF WG has decited to remove
-> >"Type of Service - routing" from OSPF for IPv6 ?
-> >
-> >
-> >with regards
-> >
-> >Olaf Menzel
-> >
-> >--
-> >Dipl. Ing. Olaf Menzel - System Engineer
-> >FOKUS - Fraunhofer Institute for Open Communication Systems:
-> >- Competence Center for Advanced Satellite Communication
-> >Schloss Birlinghoven, 53754 Sankt Augustin, Germany
-> >Phone: +49-2241-14-3494 Mobile: +49-175-2616161
-> Fax:+49-2241-14-43494
-> >email: [email-masked] Internet:
http://www.fokus.fhg.de/satcom

---

From: Arkadiusz Binder <[email-masked]>
Date: Mon, 12 Jan 2004 22:08:37 +0100

> http://www.ietf.org/internet-drafts/draft-ietf-tewg-te-metric-igp-02.txt
(i read this)
>   routing and MPLS routing with different IGP metrics are one

Ok, you are right (in math),  but the difference is that we need to support
MPLS (more troubles)

In my case much simplier would be to use ipv4 TOS field and different TOS
routes for different own policies /external routes/source routing/ but i
can't find it working on my linux .

A.Binder